:root {
  color-scheme: light dark;

  --color-light: #ddd;
  --color-dark: #222;
  --color-mauve: #ab2b71;
  --color-blue: #1f9dd0;

  --color-bg: light-dark(var(--color-light), var(--color-dark));
  --color-text: light-dark(var(--color-dark), var(--color-light));
  --color-accent: light-dark(var(--color-mauve), var(--color-blue));
}

body {
  color: var(--color-text);
  background-color: var(--color-bg);
  font-family: sans-serif;
  width: 65%;
  max-width: 1800px;
  margin: 1rem auto;
}

@media (max-width: 1100px) {
  body {
    width: 85%;
  }
}

@media (max-width: 650px) {
  body {
    width: 92%;
  }
}

/* Basic elements */
h1, h2, h3, h4, h5, h6 {
  font-family: serif;
}

h1, h2, h3, h4, h5, h6,
a {
  color: var(--color-accent);
}

a {
  padding: .1rem;
  border-radius: .05rem;
}

a:focus-visible {
  outline: solid var(--color-accent);
}

img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
  margin: 0 auto;
}

/* Title content */
#title {
  display: grid;
  grid: auto-flow / 1fr 3fr;
  align-items: center;
  gap: 1rem;
  margin-block-end: 3rem;
}

#title h1 {
  vertical-align: middle;
}

/* Print media */
@media print {
  header,
  footer,
  nav {
    display: none;
  }

  body {
    background-color: #fff;
    width: 95vw;
  }

  body,
  h1, h2, h3, h4, h5,
  a {
    color: #000;
  }

  a::after {
    content: " (" attr(href) ")";
  }
}
